<div >

<form [formGroup]='GeneralForm' (ngSubmit)="GeneralForm.valid && SaveGeneralInfos()" autocomplete="off" style="width: 800px;margin-bottom: 20px;">
<div  class="row justify-content-center">
    <div class="col-4">
        <hr>
        <div>
        <label for="name">Name :</label>
        <div class="">
        <input id="name"  type="text" value="{{user.name}}" [readonly]="true" [disabled]="true" style="width: 313.323px;">
        </div>
    </div>
    <div>
        <label for="email">Email :</label>
        <div class="mb-3">
        <input id="email" type="text" value="{{user.email}}" [readonly]="true" [disabled]="true" style="width: 313.323px;">
        </div>
    </div>
    
    <div style="width: 314.323px;">
        <label for="country">Country :</label>
        <app-adress-input [isEdit]="isEdit"  (setAddress)="SetCountry($event)" #country adressType="country"  [formControl]='GeneralForm.controls["Country"]' [val]="user.country"
        [label]='"Country"'></app-adress-input>
    </div>
    <div style="width: 314.323px;" >
        <label for="city">City :    </label>
        <app-adress-input  [isEdit]="isEdit"  [val]="user.city?.name" (setAddress)="SetCity($event)" #city adressType="(cities)" [country]="selectedCountry" [formControl]='GeneralForm.controls["City"]' 
        [label]='"City"'></app-adress-input>
    </div>
    <button *ngIf="!isEdit" class="btn btn-success mr-2" (click)="Edit()">Edit</button>
    <button *ngIf="isEdit" class="btn btn-success mr-2" >Save</button>
    <button  *ngIf="isEdit"  class="btn btn-default mr-2" (click)="Cancel()" type="button">Cancel</button>
    </div>

</div>
</form>
</div>